kind: Ingress
apiVersion: extensions/v1beta1
metadata:
  name: servers-service
  namespace: default
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    traefik.ingress.kubernetes.io/router.middlewares: traefik-jwt-auth@kubernetescrd
spec:
  rules:
    - host: panel.minekloud.com
      http:
        paths:
          - path: /api/servers
            backend:
              serviceName: servers-service
              servicePort: 8080
  tls:
  - hosts:
    - panel.minekloud.com
    secretName: panel-certificate

---
kind: Ingress
apiVersion: extensions/v1beta1
metadata:
  name: servers-service-docs
  namespace: default
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
spec:
  rules:
    - host: panel.minekloud.com
      http:
        paths:
          - path: /api/docs/servers
            backend:
              serviceName: servers-service
              servicePort: 8080
  tls:
  - hosts:
    - panel.minekloud.com
    secretName: panel-certificate
